Skip to main content
GET
Coins List with Market Data

Notes

  • Filter by ids, names, symbols, or category. When multiple are provided, priority is: category > ids > names > symbols.
  • URL-encode spaces in names (e.g. Binance%20Coin).
  • include_tokens=all only works with symbols lookups, limited to 50 symbols per request.
  • Maximum of 250 IDs per request. Wildcard searches are not supported.
  • Use per_page and page to paginate results.
Filter by category using the category param — refer to Coins Categories List for available values.

SDK Examples

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Query Parameters

vs_currency
string
default:usd
required

Target currency of coins and market data. *refers to /simple/supported_vs_currencies

ids
string
default:bitcoin

Coins' IDs, comma-separated if querying more than 1 coin. *refers to /coins/list

names
string
default:Bitcoin

Coins' names, comma-separated if querying more than 1 coin.

symbols
string
default:btc

Coins' symbols, comma-separated if querying more than 1 coin.

include_tokens
enum<string>

For symbols lookups, specify all to include all matching tokens. Default top returns top-ranked tokens by market cap or volume.

Available options:
top,
all
category
string

Filter based on coins' category. *refers to /coins/categories/list

order
enum<string>

Sort result by field. Default: market_cap_desc

Available options:
market_cap_asc,
market_cap_desc,
volume_asc,
volume_desc,
id_asc,
id_desc
per_page
integer

Total results per page. Default: 100 Valid values: 1...250

page
integer

Page through results. Default: 1

sparkline
boolean

Include sparkline 7-day data. Default: false

price_change_percentage
string

Include price change percentage timeframe, comma-separated if querying more than 1 timeframe. Valid values: 1h, 24h, 7d, 14d, 30d, 200d, 1y

locale
enum<string>

Language background. Default: en

Available options:
ar,
bg,
cs,
da,
de,
el,
en,
es,
fi,
fr,
he,
hi,
hr,
hu,
id,
it,
ja,
ko,
lt,
nl,
no,
pl,
pt,
ro,
ru,
sk,
sl,
sv,
th,
tr,
uk,
vi,
zh,
zh-tw
precision
enum<string>

Decimal places for currency price value

Available options:
full,
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18
include_rehypothecated
boolean

Include rehypothecated tokens in results. When true, returns market_cap_rank_with_rehypothecated field. Default: false

Response

200 - application/json

List of coins with market data

id
string
required

Coin ID

symbol
string
required

Coin symbol

name
string
required

Coin name

image
string
required

Coin image URL

current_price
number | null
required

Current price in target currency

market_cap
number | null
required

Market cap in target currency

market_cap_rank
integer | null
required

Market cap rank

fully_diluted_valuation
number | null
required

Fully diluted valuation in target currency

total_volume
number | null
required

Total trading volume in target currency

high_24h
number | null
required

24-hour price high in target currency

low_24h
number | null
required

24-hour price low in target currency

price_change_24h
number | null
required

24-hour price change in target currency

price_change_percentage_24h
number | null
required

24-hour price change percentage

market_cap_change_24h
number | null
required

24-hour market cap change in target currency

market_cap_change_percentage_24h
number | null
required

24-hour market cap change percentage

circulating_supply
number | null
required

Circulating supply

total_supply
number | null
required

Total supply

max_supply
number | null
required

Max supply

ath
number | null
required

All-time high price in target currency

ath_change_percentage
number | null
required

All-time high change percentage

ath_date
string<date-time> | null
required

All-time high date

atl
number | null
required

All-time low price in target currency

atl_change_percentage
number | null
required

All-time low change percentage

atl_date
string<date-time> | null
required

All-time low date

roi
object | null
required

Return on investment data

last_updated
string<date-time>
required

Last updated timestamp

market_cap_rank_with_rehypothecated
integer | null

Market cap rank including rehypothecated tokens

sparkline_in_7d
object

Sparkline price data for the last 7 days

price_change_percentage_1h_in_currency
number | null

1-hour price change percentage in target currency

price_change_percentage_24h_in_currency
number | null

24-hour price change percentage in target currency

price_change_percentage_7d_in_currency
number | null

7-day price change percentage in target currency

price_change_percentage_14d_in_currency
number | null

14-day price change percentage in target currency

price_change_percentage_30d_in_currency
number | null

30-day price change percentage in target currency

price_change_percentage_200d_in_currency
number | null

200-day price change percentage in target currency

price_change_percentage_1y_in_currency
number | null

1-year price change percentage in target currency